FLTK 1.4.4: Fl_XBM_Image Class Reference

FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_XBM_Image Class Reference

The Fl_XBM_Image class supports loading, caching, and drawing of X Bitmap (XBM) bitmap files. More...

`#include <Fl_XBM_Image.H>`

Inheritance diagram for Fl_XBM_Image:

## Public Member Functions
| Fl_XBM_Image (const char *filename)
| The constructor loads the named XBM file from the given name filename.
Public Member Functions inherited from Fl_Bitmap
int | cache_h ()
int | cache_w ()
Fl_Image * | copy () const
Fl_Image * | copy (int W, int H) const FL_OVERRIDE
| Creates a resized copy of the image.
void | draw (int X, int Y)
void | draw (int X, int Y, int W, int H, int cx=0, int cy=0) FL_OVERRIDE
| Draws the image to the current drawing surface with a bounding box.
| Fl_Bitmap (const char *bits, int bits_length, int W, int H)
| The constructors create a new bitmap from the specified bitmap data.
| Fl_Bitmap (const char *bits, int W, int H)
| The constructors create a new bitmap from the specified bitmap data.
| Fl_Bitmap (const uchar *bits, int bits_length, int W, int H)
| The constructors create a new bitmap from the specified bitmap data.
| Fl_Bitmap (const uchar *bits, int W, int H)
| The constructors create a new bitmap from the specified bitmap data.
void | label (Fl_Menu_Item *m) FL_OVERRIDE
| This method is an obsolete way to set the image attribute of a menu item.
void | label (Fl_Widget *w) FL_OVERRIDE
| This method is an obsolete way to set the image attribute of a widget or menu item.
void | uncache () FL_OVERRIDE
| If the image has been cached for display, delete the cache data.
virtual | ~Fl_Bitmap ()
| The destructor frees all memory and server resources that are used by the bitmap.
Public Member Functions inherited from Fl_Image
virtual class Fl_Shared_Image * | as_shared_image ()
| Returns whether an image is an Fl_Shared_Image or not.
virtual void | color_average (Fl_Color c, float i)
| The color_average() method averages the colors in the image with the provided FLTK color value.
Fl_Image * | copy () const
| Creates a copy of the image in the same size.
int | count () const
| Returns the number of data values associated with the image.
int | d () const
| Returns the image depth.
const char *const * | data () const
| Returns a pointer to the current image data array.
int | data_h () const
| Returns the height of the image data.
int | data_w () const
| Returns the width of the image data.
virtual void | desaturate ()
| The desaturate() method converts an image to grayscale.
void | draw (int X, int Y)
| Draws the image to the current drawing surface.
int | fail () const
| Returns a value that is not 0 if there is currently no image available.
| Fl_Image (int W, int H, int D)
| The constructor creates an empty image with the specified width, height, and depth.
int | h () const
| Returns the current image drawing height in FLTK units.
void | inactive ()
| The inactive() method calls color_average(FL_BACKGROUND_COLOR, 0.33f) to produce an image that appears grayed out.
int | ld () const
| Returns the current line data size in bytes.
virtual void | release ()
| Releases an Fl_Image - the same as '`delete` `this'`.
virtual void | scale (int width, int height, int proportional=1, int can_expand=0)
| Sets the drawing size of the image.
int | w () const
| Returns the current image drawing width in FLTK units.
virtual | ~Fl_Image ()
| The destructor is a virtual method that frees all memory used by the image.

## Additional Inherited Members
Static Public Member Functions inherited from Fl_Image
static Fl_Labeltype | define_FL_IMAGE_LABEL ()
static Fl_RGB_Scaling | RGB_scaling ()
| Returns the currently used RGB image scaling method.
static void | RGB_scaling (Fl_RGB_Scaling)
| Sets the RGB image scaling method used for copy(int, int).
static Fl_RGB_Scaling | scaling_algorithm ()
| Gets what algorithm is used when resizing a source image to draw it.
static void | scaling_algorithm (Fl_RGB_Scaling algorithm)
| Sets what algorithm is used when resizing a source image to draw it.
Public Attributes inherited from Fl_Bitmap
int | alloc_array
| Non-zero if array points to bitmap data allocated internally.
const uchar * | array
| pointer to raw bitmap data
Static Public Attributes inherited from Fl_Image
static const int | ERR_FILE_ACCESS = -2
static const int | ERR_FORMAT = -3
static const int | ERR_MEMORY_ACCESS = -4
static const int | ERR_NO_IMAGE = -1
static bool | register_images_done = false
| True after fl_register_images() was called, false before.
Protected Member Functions inherited from Fl_Image
void | d (int D)
| Sets the current image depth.
void | data (const char *const *p, int c)
| Sets the current data pointer and count of pointers in the array.
void | draw_empty (int X, int Y)
| The protected method draw_empty() draws a box with an X in it.
int | draw_scaled (int X, int Y, int W, int H)
| Draw the image to the current drawing surface rescaled to a given width and height.
void | h (int H)
| Sets the height of the image data.
void | ld (int LD)
| Sets the current line data size in bytes.
void | w (int W)
| Sets the width of the image data.
Static Protected Member Functions inherited from Fl_Image
static void | labeltype (const Fl_Label *lo, int lx, int ly, int lw, int lh, Fl_Align la)
static void | measure (const Fl_Label *lo, int &lw, int &lh)

## Detailed Description

The Fl_XBM_Image class supports loading, caching, and drawing of X Bitmap (XBM) bitmap files.

## Constructor & Destructor Documentation

## ◆ Fl_XBM_Image()

Fl_XBM_Image::Fl_XBM_Image | ( | const char * | name | ) |

The constructor loads the named XBM file from the given name filename.

The destructor frees all memory and server resources that are used by the image.

The documentation for this class was generated from the following files:

- Fl_XBM_Image.H
- Fl_XBM_Image.cxx